<template>
  <a-striped-card-ui
    data-cid="{ BhBizcardSkeletonUi }"
    class="[ bh-bizcard-skeleton-ui ]"
    :style="{
      '--a-striped-card-ui--max-w': '100%',
      '--a-striped-card-ui--stripe--bg-color': $theme.colors.gray['400'],
      '--a-striped-card-ui--bg-color': $theme.colors.gray['50'],
    }"
    :data-status="status"
  >
    <template #stripe>
      <a-box-l class="reset w-12" />
    </template>

    <template #default>
      <a-box-l class="reset p-3">
        <a-stack-l
          class="[ bh-skeleton-content ][ reset space-y-1 ][ a-stack-l--splitAfter-2 ]"
        >
          <div class="bg-gray-400 text-transparent rounded">
            <span class="text-sm leading-none">
              This is a fake bizcard to make the ui consistent
            </span>
            <span class="hide text-sm leading-none sm:inline">
              and the ux experience awesome!
            </span>
          </div>
          <div class="w-32 h-2 bg-gray-300 rounded" />
          <div class="w-10 h-6 bg-gray-400 rounded-md" />
        </a-stack-l>
      </a-box-l>
    </template>
  </a-striped-card-ui>
</template>

<script>
export default {
  name: 'BhBizcardSkeletonUi',
  props: {
    status: {
      type: String,
      default: 'idle',
      validator: (value) => ['idle', 'pending', 'error'].includes(value),
    },
  },
};
</script>

<style lang="postcss" scoped>
@keyframes fade-in-out {
  0% {
    opacity: 0.3;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0.3;
  }
}

.bh-bizcard-skeleton-ui[data-status='pending'] .bh-skeleton-content > div {
  animation-name: fade-in-out;
  animation-duration: 3s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}
</style>
